No error message for omitted </ref> tag
Closed, ResolvedPublic

Description

Author: FT2.wiki

Description:
A cite missing a </ref> tag will be reported as missing a <references /> tag instead. Example:

Fact fact fact.<ref>source.com

More fact fact fact...

==References==
<References />

renders with the error "There are <ref> tags on this page, but the references will not show without a <references/> tag", not "there is a missing </ref> tag".


Version: unspecified
Severity: enhancement
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=45415

bzimport added a project: Cite.Via ConduitNov 21 2014, 10:49 PM
bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz21798.
bzimport created this task.Via LegacyDec 8 2009, 6:22 PM
bzimport added a comment.Via ConduitDec 9 2009, 2:19 AM

chinchi29 wrote:

Suggest WONTFIX. A <references /> tag after a </ref> won't be detected because everything after the unclosed <ref> will be parsed as a reference (so the nested <references /> won't work). So, while the current message is a bit misleading, in a certain way it's correct.

bzimport added a comment.Via ConduitDec 9 2009, 2:34 AM

FT2.wiki wrote:

Surely it's easy to check every <ref> is followed by a </ref>. REF tags can't presently be nested, so this is trivial to check. If an unclosed <ref> is detected, indicate this in the error message.

When there are no missing </ref>'s then show the current message instead.

jayvdb added a comment.Via ConduitMay 6 2011, 11:37 AM
  • Bug 27075 has been marked as a duplicate of this bug. ***
Nemo_bis added a comment.Via ConduitNov 19 2013, 12:36 PM

Adding many blockers of bug 38638 to the list of "easy" bugs, to mark them as candidates for [[mw:Google Code-in]] tasks (gci2013). If you think this bug is not suitable, remove the keyword.

gerritbot added a comment.Via ConduitMar 20 2014, 2:13 PM

Change 119743 had a related patch set uploaded by AalekhN:
Adds proper error message

https://gerrit.wikimedia.org/r/119743

Gadget850 added a comment.Via ConduitJul 11 2014, 1:39 PM

With the resolution of Bug 66860, there is no longer any error generated for this issue, it just renders the rest of the page oddly. See bug 67845.

Krenair added a comment.Via ConduitJul 17 2014, 11:06 PM
  • Bug 67845 has been marked as a duplicate of this bug. ***
Krenair added a comment.Via ConduitJul 17 2014, 11:08 PM

Patch doesn't do what we want and clearly isn't going to be fixed - setting NEW status. Are we sure this is an easy bug? Sounds like it would require a good knowledge of the parser to do...

gerritbot added a comment.Via ConduitJul 17 2014, 11:09 PM

Change 119743 abandoned by Alex Monk:
Adding proper error message

Reason:
Seems abandoned to me at this point. Feel free to restore if you're going to address the issues though.

https://gerrit.wikimedia.org/r/119743

Jdforrester-WMF added a comment.Via ConduitJul 17 2014, 11:20 PM

AFAICS there's no special i18n issue here. Removing tag.

Gadget850 added a comment.Via ConduitJul 21 2014, 2:53 PM

With the resolution of Bug 66860, a missing reference list is now automatically added. Before this was deployed, a page with a missing </ref> tag near the end of a page would eat the <references /> tag; this would trigger the error for a missing <references /> tag and editors were alerted that there was a problem. Now, there is no error and the following markup is rendered oddly.

Simple example:

<ref>1

<references />

Since there is no error detection, this is going to be a persistent issue and will be very difficult for novice editors to sort out. On enwiki, we had customized the error message so it linked to a help page that noted that the issue could be due to a missing </ref>.

Gadget850 added a comment.Via ConduitJul 21 2014, 2:58 PM

Duplicate of Bug 15712

Jdforrester-WMF added a comment.Via ConduitJul 21 2014, 3:43 PM

(In reply to Gadget850 from comment #12)

Duplicate of Bug 15712

Agreed.

  • This bug has been marked as a duplicate of bug 15712 ***

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.